import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Area, AreaChart, CartesianGrid, Legend, ResponsiveContainer, Tooltip, XAxis, YAxis, } from 'recharts';
import palette from '../../theme/colors';
const AdminAreaChart = (props) => {
    const { data, areaLabel } = props;
    return (_jsx(ResponsiveContainer, { width: "80%", height: "80%", children: _jsxs(AreaChart, { width: 500, height: 400, data: data, children: [_jsx(CartesianGrid, { strokeDasharray: "3 3" }), _jsx(XAxis, { dataKey: "xAxisKey" }), _jsx(YAxis, {}), _jsx(Tooltip, {}), _jsx(Legend, {}), _jsx(Area, { name: areaLabel, type: "monotone", dataKey: "areaKey", stroke: palette.primary, fill: palette.primary })] }) }));
};
export default AdminAreaChart;
