import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Area, Bar, CartesianGrid, ComposedChart, Legend, Line, ResponsiveContainer, Tooltip, XAxis, YAxis, } from 'recharts';
import palette from '../../theme/colors';
const AdminComposedChart = (props) => {
    const { data, areaLabel, barLabel, lineLabel } = props;
    return (_jsx(ResponsiveContainer, { height: "80%", width: "80%", children: _jsxs(ComposedChart, { data: data, children: [_jsx(CartesianGrid, { stroke: "#f5f5f5" }), _jsx(XAxis, { dataKey: "xAxisKey", scale: "band" }), _jsx(YAxis, {}), _jsx(Tooltip, {}), _jsx(Legend, {}), _jsx(Area, { name: areaLabel, type: "monotone", dataKey: "areaKey", fill: palette.toastSuccessBorder, stroke: palette.primary }), _jsx(Bar, { name: barLabel, dataKey: "barKey", barSize: 20, fill: palette.primary }), _jsx(Line, { name: lineLabel, type: "monotone", dataKey: "lineKey", stroke: palette.error })] }) }));
};
export default AdminComposedChart;
