import { Dispatch, SetStateAction } from 'react';
import './configForm-styles.scss';
type FormDataType = {
    key: string;
    type: string;
    value: any;
};
interface IConfigForm {
    handleSubmit: () => void;
    formData: FormDataType;
    setFormData: Dispatch<SetStateAction<FormDataType>>;
    showError?: boolean;
    submitLoading?: boolean;
    handleCancel?: () => void;
}
declare const ConfigForm: (props: IConfigForm) => import("react/jsx-runtime").JSX.Element;
export default ConfigForm;
