import { z } from 'zod';
import { IJsonData } from '../../types/common-types';
declare const RewardSchema: z.ZodObject<{
    reward_url: z.ZodString;
}, "strip", z.ZodTypeAny, {
    reward_url: string;
}, {
    reward_url: string;
}>;
export type ISubmittedDataType = z.infer<typeof RewardSchema> | {
    id: string;
};
export declare const DATA: IJsonData<ISubmittedDataType>;
export {};
